Subject: Re: iMac G5: experimental thermal & cpufreq support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 29 Sep 2005 18:40:29 +1000

On Thu, 2005-09-29 at 17:20 +1000, Benjamin Herrenschmidt wrote:

> http://gate.crashing.org/~benh/ppc64-smu-thermal-control.diff

You may want to re-download this one if you got it already, I just fixed
a bug in the calculations of the CPU control loop. It's now getting
results much more consistant with OS X. I still have to add some
overtemp handling and I'll remove the debug stuff and work on supporting
the PowerMac9,1 desktop model.

Ben.